# Uses of Class
org.apache.lucene.queries.function.FunctionScoreQuery

Packages that use FunctionScoreQuery
Package
Description
org.apache.lucene.queries.function
Queries that compute score based upon a function.

- ## Uses of FunctionScoreQuery in org.apache.lucene.queries.function

  Methods in org.apache.lucene.queries.function that return FunctionScoreQuery
  Modifier and Type
  Method
  Description
  `static FunctionScoreQuery`
  FunctionScoreQuery.`boostByQuery(Query in, Query boostMatch, float boostValue)`
  Returns a FunctionScoreQuery where the scores of a wrapped query are multiplied by a boost factor if the document being scored also matches a separate boosting query.
  `static FunctionScoreQuery`
  FunctionScoreQuery.`boostByValue(Query in, DoubleValuesSource boost)`
  Returns a FunctionScoreQuery where the scores of a wrapped query are multiplied by the value of a DoubleValuesSource.